--- title: "Create live curtain content" slug: "media-livestation-curtaincontent-curtaincontentcreate" tags: ["Live Station"] updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/media-livestation-curtaincontent-curtaincontentcreate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create live curtain content Available in Classic and VPC Create input content to be used for live curtain. Create input content from content that was stored in the Object Storage bucket (source), and the created input content is only used for the live curtain and is not stored separately in the bucket. Note When creating live curtain content, note the following: - A maximum of 10 live curtain contents can be created per account. - Editing the source content stored in Object Storage does not update the existing registered curtain content. To use the modified content, re-create the live curtain content. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/curtainContents | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | Required | Live curtain content information: [content](/docs/en/media-livestation-curtaincontent-curtaincontentcreate#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `bucketName` | String | Required | Source content file storage bucket name | | `filePath` | String | Required | Detailed storage path - Start with `/`. - Supported file extensions - Image: *.png, *.jpg, *.jpeg - Video: *.mp4 - Audio: *.aac, *.mp3, *.m4a | Note When entering source content files, note the following: - Up to 100 MB per file is supported. - When inputting both an image file and an audio file, it will be converted to a 5-minute MP4 file with 1080p resolution. - When inputting only image files, they will be converted to a 5-minute MP4 file. - Up to 10 video files can be entered. - Inputting only audio files is not supported. ### Request example The request example is as follows: ``` curl --location --request POST 'https://livestation.apigw.ntruss.com/api/v2/curtainContents' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' \ --data '{ "content": [ { "bucketName": "mybucket", "filePath": "/data/abcd.png" }, { "bucketName": "mybucket", "filePath": "/data/sound_nocopyright.mp3" } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.id` | Integer | - | Content ID | | `content.registerTime` | Integer | - | Content creation date and time (millisecond) - Unix timestamp format | | `content.updatedTime` | Integer | - | Content update date and time (millisecond) - Unix timestamp format | | `content.status` | String | - | Content status - `CREATING` \| `READY` \| `PROCESSING_FAIL` \| `DELETED` - `CREATING`: Creating - `READY`: Ready - `PROCESSING_FAIL`: Creation failed - `DELETED`: Deleted | | `content.input` | Array | - | Source content location list - `{Bucket name}/{Detailed path}` format | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "id": 412, "registerTime": 1755579080117, "updatedTime": 1755579080117, "status": "CREATING", "input": [ "mybucket/data/abcd.png", "mybucket/data/sound_nocopyright.mp3" ] } } ```